---

- name: Lookup
  hosts: localhost
  tasks:
  - name: Lookup from Conjur - Success
    shell: echo "lookup('cyberark.conjur.conjur_variable', 'dev/secret/secret1') => {{ lookup('cyberark.conjur.conjur_variable', 'dev/secrets/secret1') }}"
    register: output1

  - name: Show output1
    debug: 
      msg: "{{ output1.stdout }}"

  - name: Lookup from Conjur - Failure
    shell: echo "lookup('cyberark.conjur.conjur_variable', 'dev/secret/secret2') => {{ lookup('cyberark.conjur.conjur_variable', 'dev/secrets/secret2', errors='warn') }}"
    register: output2

  - name: Show output2
    debug: 
      msg: "{{ output2.stdout }}"
